%{?scl:%scl_package rubygems-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

# check files-sections at the end of this file and 
# EDIT this section

%global gem_name justified

%define _version 0.0.4
%define _summary "Exception causes"
%define _url "https://github.com/pitr-ch/justified"
%define _license MIT

# multiline description can be done with '\' at the end of the lines
%define desc Provides causes for exceptions.

# add gem dependencies, e.g. "Requires: %{?scl_prefix}rubygem(rails) > 3.2"

# end of EDIT

%if 0%{?rhel} >= 6 || 0%{?fedora} < 17
%if "%{?scl}" == "ruby193"
%define rubyabi 1.9.1
%else
%define rubyabi 1.8
%endif
%else
%define rubyabi 1.9.1
%endif

%if 0%{?rhel} == 6
%global gem_dir %(ruby -rubygems -e 'puts Gem.dir' 2>/dev/null)
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_libdir %{gem_dir}/gems/%{gem_name}-%{version}/lib
%endif

Name:      %{?scl_prefix}rubygem-%{gem_name}
Version:   %{_version}
Release:   4%{?dist}  
Summary:   %{_summary}
Group:     Development/Languages
License:   %{_license}
URL:       %{_url}
Source0:   http://rubygems.org/downloads/%{gem_name}-%{version}.gem

BuildArch: noarch
Provides:  %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%if 0%{?fedora} > 18
Requires:  %{?scl_prefix}ruby(release)
%else 
Requires:  %{?scl_prefix}ruby(abi) = %{rubyabi}
%endif
Requires:  %{?scl_prefix}rubygems

%if 0%{?fedora} || 0%{?rhel} > 6
BuildRequires: %{?scl_prefix}rubygems-devel
%endif
%if 0%{?fedora} > 18
BuildRequires: %{?scl_prefix}ruby(release)
%else
BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
%endif
BuildRequires: %{?scl_prefix}rubygems

%description
%{desc}

%package   doc
BuildArch: noarch
Requires:  %{?scl_prefix}%{pkg_name} = %{version}-%{release}
Summary:   Documentation for %{pkg_name}

%description doc
This package contains documentation for %{pkg_name}

%prep
%setup -n %{pkg_name}-%{version} -T -c

%build
%if 0%{?fedora} > 18
%gem_install
%else
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} --force %{SOURCE0}
%{?scl:"}
%endif

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}

%files 
# EDIT 
# * add non standard files 
# * or exclude garbadge files if present in gem (e.g. .gitignore .yardopts)
#   %exclude %{gem_instdir}/.gitignore
%dir %{gem_instdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_libdir}
%doc %{gem_instdir}/VERSION
%doc %{gem_instdir}/MIT-LICENSE

%files doc
# EDIT
%doc %{gem_instdir}/test
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README_FULL.md
%doc %{gem_docdir}/rdoc
%doc %{gem_docdir}/ri

%changelog
* Wed Jul 31 2013 John Matthews <jwmatthews@gmail.com> 0.0.4-3
- Adding tito.props for rubygem-justified (jwmatthews@gmail.com)
- Automatic commit of package [rubygem-justified] minor release [0.0.4-2].
  (pchalupa@redhat.com)
- Automatic commit of package [rubygem-justified] minor release [0.0.4-1].
  (pchalupa@redhat.com)
- add justified gem (pchalupa@redhat.com)

* Fri Jun 21 2013 Petr Chalupa <pchalupa@redhat.com> 0.0.4-2
- Scl fixes (pchalupa@redhat.com)

* Fri Jun 21 2013 Petr Chalupa <pchalupa@redhat.com> 0.0.4-1
- new package built with tito

